Page MenuHome

Blender 3.2.0 crashes on start on Ubuntu 22.04
Closed, ResolvedPublic

Description

System Information
Operating system: Ubuntu 22.04
Graphics card: Intel HD Graphics 4000

Blender Version
Broken: 3.2
Worked: 3.1.2

Blender crashes on startup on Ubuntu 22.04.

Exact steps for others to reproduce the error
When launching Blender 3.2.0 I get this error:

ERROR (gpu.shader): gpu_shader_2D_widget_base FragShader: 
      | 
   81 | layout(depth_any) out float gl_FragDepth;
      |         ^
      | Error: unrecognized layout identifier `depth_any'

Writing: /tmp/blender.crash.txt
Segmentation fault (core dumped)

This is the content of /tmp/blender.crash.txt:

# Blender 3.2.0, Commit date: 2022-06-08 10:22, Hash e05e1e369187

# backtrace
/snap/blender/2474/blender(BLI_system_backtrace+0x20) [0xc1491e0]
/snap/blender/2474/blender() [0x11d8e2a]
/lib/x86_64-linux-gnu/libc.so.6(+0x42520) [0x7f5e1063f520]
/snap/blender/2474/blender(GPU_shader_get_builtin_uniform+0) [0xad8a590]
/snap/blender/2474/blender(GPU_matrix_bind+0x1b) [0xad8729b]
/snap/blender/2474/blender(UI_widgetbase_draw_cache_flush+0xb5) [0x23d5e65]
/snap/blender/2474/blender() [0x23d92b2]
/snap/blender/2474/blender(ui_draw_but+0xc9c) [0x23dd30c]
/snap/blender/2474/blender(UI_block_draw+0x2fe) [0x237b95e]
/snap/blender/2474/blender(UI_blocklist_draw+0x34) [0x237b9e4]
/snap/blender/2474/blender(ED_region_header_draw+0x77) [0x1c5fc27]
/snap/blender/2474/blender(ED_region_do_draw+0x841) [0x1c631c1]
/snap/blender/2474/blender(wm_draw_update+0x7a3) [0x179dd13]
/snap/blender/2474/blender(WM_main+0x30) [0x179aa40]
/snap/blender/2474/blender(main+0x322) [0x10d47e2]
/lib/x86_64-linux-gnu/libc.so.6(+0x29d90) [0x7f5e10626d90]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0x80) [0x7f5e10626e40]
/snap/blender/2474/blender() [0x11d570c]

# Python backtrace

My computer is a MacMini Late 2012 (i5-3210M CPU @ 2.50GHz, 16GiB, HD Graphics 4000 (IVB GT2)).
Ubuntu 22.04 is up to date.
I've tried both Gnome Wayland and Gnome XOrg, but I get the same error.

I've tried using both the *snap* version and downloading and extracting it from *.tar.xz*, but it gives the same error.

Event Timeline

Omar Emara (OmarSquircleArt) changed the task status from Needs Triage to Needs Information from User.Jun 9 2022, 9:01 AM

Can you attach the Help > Save System Info file?
Seems like ARB_conservative_depth is not supported.

This comment was removed by Ioan Calin B (iborco).
Ioan Calin B (iborco) added a comment.EditedJun 9 2022, 9:06 AM
====================================
= Blender 3.1.2 System Information =
====================================


Blender:
====================================

version: 3.1.2, branch: master, commit date: 2022-03-31 17:40, hash: cc66d1020c3b, type: release
build date: 2022-04-01, 00:00:34
platform: 'Linux-5.15.0-37-generic-x86_64-with-glibc2.35'
binary path: '/snap/blender/2106/blender'
build cflags:  -Wall -Wcast-align -Werror=implicit-function-declaration -Werror=return-type -Werror=vla -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts -Wno-unknown-pragmas -Wpointer-arith -Wunused-parameter -Wwrite-strings -Wlogical-op -Wundef -Winit-self -Wmissing-include-dirs -Wno-div-by-zero -Wtype-limits -Wformat-signedness -Wrestrict -Wnonnull -Wabsolute-value -Wuninitialized -Wredundant-decls -Wshadow -Wno-error=unused-but-set-variable -Wimplicit-fallthrough=5  -std=gnu11 -msse -pipe -fPIC -funsigned-char -fno-strict-aliasing -ffp-contract=off -msse2 -D_GLIBCXX_USE_CXX11_ABI=0  
build cxxflags:  -Wuninitialized -Wredundant-decls -Wall -Wno-invalid-offsetof -Wno-sign-compare -Wlogical-op -Winit-self -Wmissing-include-dirs -Wno-div-by-zero -Wtype-limits -Werror=return-type -Wno-char-subscripts -Wno-unknown-pragmas -Wpointer-arith -Wunused-parameter -Wwrite-strings -Wundef -Wformat-signedness -Wrestrict -Wno-suggest-override -Wuninitialized -Wundef -Wmissing-declarations -Wimplicit-fallthrough=5  -msse -pipe -fPIC -funsigned-char -fno-strict-aliasing -ffp-contract=off -msse2 -D_GLIBCXX_USE_CXX11_ABI=0  
build linkflags:  -Wl,--version-script='/home/blender/git/blender-v310/blender.git/source/creator/blender.map'
build system: CMake

Python:
====================================

version: 3.10.2 (main, Jan 27 2022, 14:00:16) [GCC 9.3.1 20200408 (Red Hat 9.3.1-2)]
file system encoding: utf-8:surrogateescape
paths:
	'/snap/blender/2106/3.1/scripts/startup'
	'/snap/blender/2106/3.1/scripts/modules'
	'/snap/blender/2106/3.1/python/lib/python310.zip'
	'/snap/blender/2106/3.1/python/lib/python3.10'
	'/snap/blender/2106/3.1/python/lib/python3.10/lib-dynload'
	'/snap/blender/2106/3.1/python/lib/python3.10/site-packages'
	'/snap/blender/2106/3.1/scripts/freestyle/modules'
	'/snap/blender/2106/3.1/scripts/addons/modules'
	'.../.config/blender/3.1/scripts/addons/modules'
	'/snap/blender/2106/3.1/scripts/addons'
	'.../.config/blender/3.1/scripts/addons'

Python (External Binary):
====================================

binary path: '/snap/blender/2106/3.1/python/bin/python3.10'
version: Python 3.10.2

Directories:
====================================

scripts:
	'/snap/blender/2106/3.1/scripts/modules'
	'/snap/blender/2106/3.1/scripts'
	'.../.config/blender/3.1/scripts'
user scripts: '.../.config/blender/3.1/scripts'
pref scripts: None
datafiles: '.../.config/blender/3.1/datafiles'
config: '.../.config/blender/3.1/config'
scripts : '.../.config/blender/3.1/scripts'
autosave: '.../.config/blender/3.1/autosave'
tempdir: '/tmp/blender_OFYEqO/'

FFmpeg:
====================================

avcodec:   '58, 134, 100'
avdevice:  '58, 13, 100'
avformat:  '58, 76, 100'
avutil:    '56, 70, 100'
swscale:   ' 5,  9, 100'

SDL:
====================================

Version: 2.0.20
Loading method: dynamically loaded by Blender (WITH_SDL_DYNLOAD=ON)

Other Libraries:
====================================

OpenColorIO:  2,  0,  0
OpenImageIO:  2,  2, 15
OpenShadingLanguage:  1, 11, 14
OpenSubdiv:  0,  0,  0
OpenVDB:  8,  0,  0
Alembic:  1,  7, 16
USD:  0, 21,  2

GPU:
====================================

renderer:	'Mesa Intel(R) HD Graphics 4000 (IVB GT2)'
vendor:		'Intel'
version:	'4.2 (Core Profile) Mesa 22.0.1'
extensions:
	GL_3DFX_texture_compression_FXT1
	GL_AMD_conservative_depth
	GL_AMD_draw_buffers_blend
	GL_AMD_multi_draw_indirect
	GL_AMD_pinned_memory
	GL_AMD_seamless_cubemap_per_texture
	GL_AMD_shader_trinary_minmax
	GL_AMD_texture_texture4
	GL_AMD_vertex_shader_layer
	GL_AMD_vertex_shader_viewport_index
	GL_ANGLE_texture_compression_dxt3
	GL_ANGLE_texture_compression_dxt5
	GL_ARB_ES2_compatibility
	GL_ARB_ES3_compatibility
	GL_ARB_arrays_of_arrays
	GL_ARB_base_instance
	GL_ARB_blend_func_extended
	GL_ARB_buffer_storage
	GL_ARB_clear_buffer_object
	GL_ARB_clear_texture
	GL_ARB_clip_control
	GL_ARB_compressed_texture_pixel_storage
	GL_ARB_compute_shader
	GL_ARB_compute_variable_group_size
	GL_ARB_conditional_render_inverted
	GL_ARB_conservative_depth
	GL_ARB_copy_buffer
	GL_ARB_copy_image
	GL_ARB_cull_distance
	GL_ARB_debug_output
	GL_ARB_depth_buffer_float
	GL_ARB_depth_clamp
	GL_ARB_derivative_control
	GL_ARB_direct_state_access
	GL_ARB_draw_buffers
	GL_ARB_draw_buffers_blend
	GL_ARB_draw_elements_base_vertex
	GL_ARB_draw_indirect
	GL_ARB_draw_instanced
	GL_ARB_enhanced_layouts
	GL_ARB_explicit_attrib_location
	GL_ARB_explicit_uniform_location
	GL_ARB_fragment_coord_conventions
	GL_ARB_fragment_layer_viewport
	GL_ARB_fragment_shader
	GL_ARB_framebuffer_no_attachments
	GL_ARB_framebuffer_object
	GL_ARB_framebuffer_sRGB
	GL_ARB_get_program_binary
	GL_ARB_get_texture_sub_image
	GL_ARB_gl_spirv
	GL_ARB_gpu_shader5
	GL_ARB_gpu_shader_fp64
	GL_ARB_half_float_pixel
	GL_ARB_half_float_vertex
	GL_ARB_indirect_parameters
	GL_ARB_instanced_arrays
	GL_ARB_internalformat_query
	GL_ARB_internalformat_query2
	GL_ARB_invalidate_subdata
	GL_ARB_map_buffer_alignment
	GL_ARB_map_buffer_range
	GL_ARB_multi_bind
	GL_ARB_multi_draw_indirect
	GL_ARB_occlusion_query2
	GL_ARB_parallel_shader_compile
	GL_ARB_pipeline_statistics_query
	GL_ARB_pixel_buffer_object
	GL_ARB_point_sprite
	GL_ARB_polygon_offset_clamp
	GL_ARB_program_interface_query
	GL_ARB_provoking_vertex
	GL_ARB_robustness
	GL_ARB_sample_shading
	GL_ARB_sampler_objects
	GL_ARB_seamless_cube_map
	GL_ARB_seamless_cubemap_per_texture
	GL_ARB_separate_shader_objects
	GL_ARB_shader_atomic_counter_ops
	GL_ARB_shader_atomic_counters
	GL_ARB_shader_bit_encoding
	GL_ARB_shader_clock
	GL_ARB_shader_draw_parameters
	GL_ARB_shader_group_vote
	GL_ARB_shader_image_load_store
	GL_ARB_shader_image_size
	GL_ARB_shader_objects
	GL_ARB_shader_precision
	GL_ARB_shader_storage_buffer_object
	GL_ARB_shader_subroutine
	GL_ARB_shader_texture_image_samples
	GL_ARB_shader_texture_lod
	GL_ARB_shader_viewport_layer_array
	GL_ARB_shading_language_420pack
	GL_ARB_shading_language_include
	GL_ARB_shading_language_packing
	GL_ARB_spirv_extensions
	GL_ARB_sync
	GL_ARB_tessellation_shader
	GL_ARB_texture_barrier
	GL_ARB_texture_buffer_object
	GL_ARB_texture_buffer_object_rgb32
	GL_ARB_texture_buffer_range
	GL_ARB_texture_compression_bptc
	GL_ARB_texture_compression_rgtc
	GL_ARB_texture_cube_map_array
	GL_ARB_texture_filter_anisotropic
	GL_ARB_texture_float
	GL_ARB_texture_gather
	GL_ARB_texture_mirror_clamp_to_edge
	GL_ARB_texture_multisample
	GL_ARB_texture_non_power_of_two
	GL_ARB_texture_query_levels
	GL_ARB_texture_query_lod
	GL_ARB_texture_rectangle
	GL_ARB_texture_rg
	GL_ARB_texture_rgb10_a2ui
	GL_ARB_texture_storage
	GL_ARB_texture_storage_multisample
	GL_ARB_texture_swizzle
	GL_ARB_texture_view
	GL_ARB_timer_query
	GL_ARB_transform_feedback2
	GL_ARB_transform_feedback3
	GL_ARB_transform_feedback_instanced
	GL_ARB_transform_feedback_overflow_query
	GL_ARB_uniform_buffer_object
	GL_ARB_vertex_array_bgra
	GL_ARB_vertex_array_object
	GL_ARB_vertex_attrib_64bit
	GL_ARB_vertex_attrib_binding
	GL_ARB_vertex_buffer_object
	GL_ARB_vertex_shader
	GL_ARB_vertex_type_10f_11f_11f_rev
	GL_ARB_vertex_type_2_10_10_10_rev
	GL_ARB_viewport_array
	GL_ATI_blend_equation_separate
	GL_ATI_texture_float
	GL_EXT_EGL_image_storage
	GL_EXT_EGL_sync
	GL_EXT_abgr
	GL_EXT_blend_equation_separate
	GL_EXT_demote_to_helper_invocation
	GL_EXT_draw_buffers2
	GL_EXT_draw_instanced
	GL_EXT_framebuffer_blit
	GL_EXT_framebuffer_multisample
	GL_EXT_framebuffer_multisample_blit_scaled
	GL_EXT_framebuffer_object
	GL_EXT_framebuffer_sRGB
	GL_EXT_memory_object
	GL_EXT_memory_object_fd
	GL_EXT_packed_depth_stencil
	GL_EXT_packed_float
	GL_EXT_pixel_buffer_object
	GL_EXT_polygon_offset_clamp
	GL_EXT_provoking_vertex
	GL_EXT_semaphore
	GL_EXT_semaphore_fd
	GL_EXT_shader_framebuffer_fetch_non_coherent
	GL_EXT_shader_integer_mix
	GL_EXT_shader_samples_identical
	GL_EXT_texture_array
	GL_EXT_texture_compression_dxt1
	GL_EXT_texture_compression_rgtc
	GL_EXT_texture_compression_s3tc
	GL_EXT_texture_filter_anisotropic
	GL_EXT_texture_integer
	GL_EXT_texture_sRGB
	GL_EXT_texture_sRGB_R8
	GL_EXT_texture_sRGB_decode
	GL_EXT_texture_shadow_lod
	GL_EXT_texture_shared_exponent
	GL_EXT_texture_snorm
	GL_EXT_texture_swizzle
	GL_EXT_timer_query
	GL_EXT_transform_feedback
	GL_EXT_vertex_array_bgra
	GL_EXT_vertex_attrib_64bit
	GL_IBM_multimode_draw_arrays
	GL_INTEL_blackhole_render
	GL_KHR_blend_equation_advanced
	GL_KHR_context_flush_control
	GL_KHR_debug
	GL_KHR_no_error
	GL_KHR_parallel_shader_compile
	GL_KHR_texture_compression_astc_ldr
	GL_KHR_texture_compression_astc_sliced_3d
	GL_MESA_pack_invert
	GL_MESA_shader_integer_functions
	GL_MESA_texture_signed_rgba
	GL_NV_compute_shader_derivatives
	GL_NV_conditional_render
	GL_NV_copy_image
	GL_NV_depth_clamp
	GL_NV_packed_depth_stencil
	GL_NV_texture_barrier
	GL_OES_EGL_image
	GL_S3_s3tc

Implementation Dependent GPU Limits:
====================================

Maximum Batch Vertices:	3000
Maximum Batch Indices:	3000

GLSL:
Maximum Varying Floats:	128
Maximum Vertex Attributes:	16
Maximum Vertex Uniform Components:	16384
Maximum Fragment Uniform Components:	16384
Maximum Vertex Image Units:	16
Maximum Fragment Image Units:	16
Maximum Pipeline Image Units:	96

Cycles:
====================================


CPU device capabilities: SSE2 SSE3 SSE41 AVX

Enabled add-ons:
====================================

io_anim_bvh (version: (1, 0, 0), path: /snap/blender/2106/3.1/scripts/addons/io_anim_bvh/__init__.py)
io_curve_svg (version: UNKNOWN, path: /snap/blender/2106/3.1/scripts/addons/io_curve_svg/__init__.py)
io_mesh_ply (version: (2, 2, 0), path: /snap/blender/2106/3.1/scripts/addons/io_mesh_ply/__init__.py)
io_mesh_stl (version: (1, 1, 3), path: /snap/blender/2106/3.1/scripts/addons/io_mesh_stl/__init__.py)
io_mesh_uv_layout (version: (1, 1, 1), path: /snap/blender/2106/3.1/scripts/addons/io_mesh_uv_layout/__init__.py)
io_scene_fbx (version: (4, 29, 1), path: /snap/blender/2106/3.1/scripts/addons/io_scene_fbx/__init__.py)
io_scene_gltf2 (version: (1, 8, 19), path: /snap/blender/2106/3.1/scripts/addons/io_scene_gltf2/__init__.py)
io_scene_obj (version: (3, 9, 0), path: /snap/blender/2106/3.1/scripts/addons/io_scene_obj/__init__.py)
io_scene_x3d (version: (2, 3, 0), path: /snap/blender/2106/3.1/scripts/addons/io_scene_x3d/__init__.py)
cycles (version: UNKNOWN, path: /snap/blender/2106/3.1/scripts/addons/cycles/__init__.py)
pose_library (version: (2, 0), path: /snap/blender/2106/3.1/scripts/addons/pose_library/__init__.py)
node_wrangler (version: (3, 38), path: /snap/blender/2106/3.1/scripts/addons/node_wrangler.py)
space_view3d_pie_menus (version: (1, 2, 9), path: /snap/blender/2106/3.1/scripts/addons/space_view3d_pie_menus/__init__.py)
space_view3d_align_tools (version: (0, 3, 4), path: /snap/blender/2106/3.1/scripts/addons/space_view3d_align_tools.py)
space_view3d_modifier_tools (version: (0, 2, 6), path: /snap/blender/2106/3.1/scripts/addons/space_view3d_modifier_tools.py)
createisocam (version: (1, 0), path: .../.config/blender/3.1/scripts/addons/createisocam.py)
add_mesh_extra_objects (version: (0, 3, 7), path: /snap/blender/2106/3.1/scripts/addons/add_mesh_extra_objects/__init__.py)

Does Blender work when you open it with the command MESA_LOADER_DRIVER_OVERRIDE=crocus blender?

No, it crashes with the same error.

How about with MESA_GL_VERSION_OVERRIDE=4.3 blender?

  • it worked with MESA_GL_VERSION_OVERRIDE=4.1 blender
  • using MESA_GL_VERSION_OVERRIDE=4.2 blender gives the reported error
  • using MESA_GL_VERSION_OVERRIDE=4.3 blender is not supported by my card
~ MESA_GL_VERSION_OVERRIDE=4.1 blender                                                                                                                                                                0 [11:36:42]
Read prefs: .../.config/blender/3.2/config/userpref.blend
Saved session recovery to '/tmp/quit.blend'

Blender quit

~ MESA_GL_VERSION_OVERRIDE=4.2 blender                                                                                                                                                                0 [11:36:54]
Read prefs: .../.config/blender/3.2/config/userpref.blend
ERROR (gpu.shader): gpu_shader_2D_widget_base FragShader: 
      | 
   81 | layout(depth_any) out float gl_FragDepth;
      |         ^
      | Error: unrecognized layout identifier `depth_any'

Writing: /tmp/blender.crash.txt
Segmentation fault (core dumped)

~ MESA_GL_VERSION_OVERRIDE=4.3 blender                                                                                                                                                              139 [11:36:59]
Read prefs: .../.config/blender/3.2/config/userpref.blend
ERROR (gpu.shader): gpu_shader_2D_widget_base VertShader: 
      | 
    1 | #version 430
      |           ^
      | Error: GLSL 4.30 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.40, 1.50, 3.30, 4.00, 4.10, 4.20, 1.00 ES, and 3.00 ES

ERROR (gpu.shader): gpu_shader_2D_widget_base FragShader: 
      | 
    1 | #version 430
      |           ^
      | Error: GLSL 4.30 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.40, 1.50, 3.30, 4.00, 4.10, 4.20, 1.00 ES, and 3.00 ES

Writing: /tmp/blender.crash.txt
Segmentation fault (core dumped)
Omar Emara (OmarSquircleArt) changed the task status from Needs Information from User to Needs Information from Developers.Jun 9 2022, 11:30 AM

The GLSL parser seems to handle those qualifiers if the version is 4.2 or larger regardless of the enabled extensions:

if (!$$.flags.i &&
    (state->AMD_conservative_depth_enable ||
     state->ARB_conservative_depth_enable ||
     state->is_version(420, 0))) {

So that error is rather weird.

Your GPU is a bit old and does not fit the minimum requirements of Blender, which requires OpenGL 4.3. But we will try to implement a workaround to make this work, tagging the module for the decision.

hi, i have exact the same issue under Ubuntu 22.04 and blender 3.2 (snap and blender-3.2.0-linux-x64.tar.xz).
and i get it running with MESA_GL_VERSION_OVERRIDE=4.1 blender
MESA_GL_VERSION_OVERRIDE=4.2 and MESA_GL_VERSION_OVERRIDE=4.3 does crash blender the same way.
i guess my GPU on CPU is even older.


Can any of you report this to Mesa (https://gitlab.freedesktop.org/mesa/mesa/-/issues) to try to get it fixed upstream?

Can any of you report this to Mesa (https://gitlab.freedesktop.org/mesa/mesa/-/issues) to try to get it fixed upstream?

Report what? Like how can I say it?
This might be a blender-only issue but sure I could try and report it to the Mesa staff

@isaac (axis) Their issue template should guide you on what information you should give. But essentially, you will give your system information, the error that Blender gave above (Error: unrecognized layout identifier depth_any'`), and---if you can---an API trace (https://apitrace.github.io/).

I think I got the same error and for the same reasons. Hope it can be fixed (https://developer.blender.org/T98739)

I did research this one a few weeks ago, but am still waiting to build a machine to reproduce this. What I found so far is faulty logic in the gpu shader descriptor when using conservative depth.

There is already another report that could be merged in this one.

I'm experiencing the same problem. This command get's me up and running:

MESA_GL_VERSION_OVERRIDE=4.1 blender


I'm having the same issue. @Jefferson (bigupjeff) 's solution worked for me.